1.2
1.2
get /v1/cloud-functions
Description
get cloud functions list
State ACTIVE (CURRENT)
| Version | Supported Until |
|---|---|
| 1.2 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| query | sort optional | sort Example : name:asc | any of [string, null] | None |
| query | page optional | page Example : 0 | any of [integer, null] | None |
| query | size optional | size Example : 20 | any of [integer, null] | None |
| query | name optional | Name Example : sample-function-name | any of [string, null] | None |
| query | state optional | Cloud function state Example : READY | any of [array[string], string, null] | None |
| query | runtime optional | Runtime Example : Node.js:20 | any of [array[string], string, null] | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | CloudFunctionListResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/cloud-functions
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = scf 1.2"
Example HTTP response
Response 200
{
"cloud_functions": [
{
"account_id": "617b3d0e90c24a5fa1f65a3824861354",
"created_at": "2025-05-22T06:21:17.580522",
"function_url": "https://33b532c466824bcf9324101a3c6f3015.kr-west1.dev2.samsungsdscloud.com/cloudfunctions-hello",
"id": "8c9f6c1c928a45b4bbd1e4da5531d656",
"name": "sample",
"runtime": "Node.js:20",
"state": "READY",
"user_id": "617b3d0e90c24a5fa1f65a3824861354"
}
],
"count": 20
}